io.undertow.util

## Class Rfc6265CookieSupport

- java.lang.Object
- - io.undertow.util.Rfc6265CookieSupport

    public final class Rfc6265CookieSupport
    extends Object

Class that contains utility methods for dealing with RFC6265 Cookies.

### Constructor Summary

Constructors
Constructor and Description
`Rfc6265CookieSupport()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `validateCookieValue(String value)`
`static void` `validateDomain(String domain)`
`static void` `validatePath(String path)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Rfc6265CookieSupport

    public Rfc6265CookieSupport()

### Method Detail

#### validateCookieValue

    public static void validateCookieValue(String value)

#### validateDomain

    public static void validateDomain(String domain)

#### validatePath

    public static void validatePath(String path)